<!--    
    Add iStandaard Regel data from Page Variables
-->

<div class="markdown">

    {{ if isset .Params "title" }}
        <!--
            Regel Type Layout
        -->
        {{ with .Params }}
            {{ print "# " .title "\n\n" | markdownify }}
            <blockquote class="book-hint info">{{ .description | markdownify }}</blockquote>
        {{ end }}
    {{ else }}
        <!--
            Regel Layout
        -->
        {{ with .Params }}
            <h1>{{ .regelCode }}</h1>
            <blockquote class="book-hint info">{{ .description | markdownify }}</blockquote>

            <!--  
                Referentie Regel Optionals
            -->
            {{ if .wordtGebruiktIn }}
                {{ print "## Wordt gebruikt in\n\n" .wordtGebruiktIn | markdownify }}
            {{ end }}

            {{ if eq .geenTechnischeRegels false }}
                {{ print "## Geen technische regels\n\n" .geenTechnischeRegels | markdownify }}
            {{ end }}

            {{ if .XSDString }}
                {{ print "## XSD String\n\n" .XSDString | markdownify }}
            {{ end }}

            {{ if .rationale }}
                {{ print "## Rationale\n\n" .rationale | markdownify }}
            {{ end }}

            <!--
                Rapport Regel Optionals
            -->
            {{ if .XSDRestrictie }}
                {{ print "## XSD Restrictie\n\n" .XSDRestrictie | markdownify }}
            {{ end }}

            {{ if .retourcode }}
                {{ print "## Retourcode\n\n" | markdownify }}
                {{ range .retourcode }}
                    {{ print "- " . "\n" | markdownify }}
                {{ end }}
            {{ end }}

            {{ if .controleniveau }}
                {{ print "## controleniveau\n\n" .controleniveau | markdownify }}
            {{ end }}

            {{ if .referentieregel }}
                {{ $refLink := print "https://istddevops.gitlab.io/exploration/regels/beheer-referentie-regels/docs/" .regelType "s/" .referentieregel | lower }}
                {{ print "## Referentieregel: [" .referentieregel "](" $refLink ")\n\n" | markdownify }}
            {{ end }}

        {{ end }}

        {{ print "## Documentatie\n\n" | markdownify }}
    {{ end }}

</div> 
